

import locale,codecs

class charset_default :
    def management_page_charset_default(self) :
        """ Return charset defeult or locale charset """
        
        charset = 'iso8859-1'

        try :
            charset = self.management_page_charset
        except AttributeError : 
            charset = locale.getlocale()[1]
        else :
            try:
                codecs.lookup(charset)
            except (LookupError, SystemError):
                charset = locale.getlocale()[1]
            else:
                return charset

        try:
            codecs.lookup(charset)
        except (LookupError, SystemError, TypeError):
            return 'iso8859-1'
        else:
            return charset
